View Issue Details

IDProjectCategoryView StatusLast Update
0001875NoesisGUIC++ SDKpublic2021-01-12 00:44
Reportertom1314Assigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
Product Version3.0.8 
Target Version3.0.9Fixed in Version3.0.9 
Summary0001875: Unknown random crash on DispatcherObject::VerifyAccess+0x3
DescriptionI have a random crash reported by some user. It shows the crash on "DispatcherObject::VerifyAccess+0x3". I guess it is cross thread accessing the UI object but after analyzing the minidump, I am sure that I am calling the view->Update() function from the correct thread.

The minidump is attached and I am using the latest public build of 3.0.8
TagsC++
PlatformWindows

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-01-07 16:29 tom1314 New Issue
2021-01-07 16:29 tom1314 Tag Attached: C++
2021-01-07 16:29 tom1314 File Added: heat_1_crash_2021_1_7T14_34_0C0.mdmp
2021-01-07 16:40 sfernandez Assigned To => sfernandez
2021-01-07 16:40 sfernandez Status new => assigned
2021-01-07 16:40 sfernandez Target Version => 3.0.9
2021-01-07 16:40 sfernandez Description Updated View Revisions
2021-01-11 10:16 sfernandez Status assigned => resolved
2021-01-11 10:16 sfernandez Resolution open => fixed
2021-01-11 10:16 sfernandez Fixed in Version => 3.0.9
2021-01-12 00:44 jsantos View Status private => public
2021-01-12 00:45 jsantos File Deleted: heat_1_crash_2021_1_7T14_34_0C0.mdmp